Subject: Re: FP and signal 4

From: Stefan Roese <[email-masked]>
Date: Thu, 5 Jun 2008 06:59:30 +0200

On Thursday 05 June 2008, Josh Boyer wrote:
> > Has anyone come across any floating point issues in the new powerpc
> > kernel branch with regards to 44x? I'm seeing programs (i.e.
> > init/busybox) generating signal 4 (illegal instruction) exceptions. If I
> > compile a 2.6.25 kernel with the CONFIG_MATH_EMULATION option set, then
> > everything works OK.
>
> I've not seen that.
>
> > Using a 440EPx (has a onchip FPU) with the ELDK 4.0 ppc_4xxFP toolchain
> > for all apps/kernel/fs.
>
> 440EPx should get the FPU enabled at runtime.  We use a virtual PVR to
> do the APU/FPU init.  What does your cpu node look like in your DTS
> file for your board?

And please use the dtc "-b 0" option for creating the dtb file. Without it the 
virtual PVR setup doesn't work.

Best regards,
Stefan

=====================================================================
DENX Software Engineering GmbH,     MD: Wolfgang Denk & Detlev Zundel
HRB 165235 Munich, Office: Kirchenstr.5, D-82194 Groebenzell, Germany
Phone: +49-8142-66989-0 Fax: +49-8142-66989-80  Email: [email-masked]
=====================================================================